<?php use_helper('UrlFunctions'); ?>
<?php

if(myUser::getUser()->getRoleId() == "sys.res"){
  	$IdPadre = myUser::getUser()->getIdColaborador();
  	 	
  	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($IdPadre);
	$o_ColaboradorBL = new ColaboradorBL();	
  	
  	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}
	
	
}else{//Solo los Hijos del Colaborador
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
  	$IdPadre = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
  	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($IdPadre);
	$o_ColaboradorBL = new ColaboradorBL();	
  	
  	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
  	
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}
}

//Sacar el nombre de la sucursal
$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdAdministrador($IdPadre);

$o_SucursalBL = new SucursalBL();
$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

foreach ($a_o_sucursal as $key => $o_sucursal){
	$IdSucursal 	= $o_sucursal->getIdSucursal();
	$NombreSucursal = $o_sucursal->getDescripcion();
}

/*
$o_BalanceDiaNew = new BalanceDiaBean();
$o_BalanceDiaNew->setIdColaboradorPermitido($a_Colaborador); 
$o_BalanceDiaNew->setIdAdministrador($IdPadre); 
$o_BalanceDiaNew->setIdSucursal($IdSucursal); 





$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();


	


*/

$a_moneda['S'] = 'Soles (S/.)';
//$a_moneda['D'] = 'Dolares ($)';

//Obtener el nombre del Adminitrador
$idAdministrador = $IdPadre;
$o_ColaboradorAdmin = new ColaboradorBean();
$o_ColaboradorAdmin->setIdColaborador($idAdministrador);

$o_ColaboradorAdminBL = new ColaboradorBL();
$a_o_Colaborador = $o_ColaboradorAdminBL->busquedaColaborador($o_ColaboradorAdmin);
foreach ($a_o_Colaborador as $key => $o_Colaborador){
	$NombreAdministrador = $o_Colaborador->getNombreCompleto();
}
if(myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.hip"){
	foreach ($a_moneda as $keyMoneda => $valMoneda){
		$o_cierreDiaFN = new CrCierrehipotecaCFN();
		$fechaHipotecas = $o_cierreDiaFN->obtenerDiaAbiertoHipoteca($IdSucursal);
		$a_ResumenColaboradorT[$keyMoneda] = $o_cierreDiaFN->ObtenerColaboradoresNewBalanceHipoteca($fechaHipotecas,$idAdministrador,$keyMoneda);
	}
}

/*echo "<pre>";
print_r($a_ResumenColaboradorT);
echo "</pre>";*/

if($control){//cuando se hizo el submit
  
   //Crear Objeto Balance Dia 

  if(is_array($a_ResumenColaboradorT)){
  	foreach ($a_ResumenColaboradorT as $keyMoneda => $a_ResumenColaborador) {
  		$TotalIngreso = '0';
  		$TotalSalida = '0';
  		$Total = '0';
  		$TotalSubtotal = 0;
  		$TotalIngresoDeposito = 0;
	  	foreach ($a_ResumenColaborador as $key => $a_ResesumenDiario) {
		  $o_CrCierrehipotecaDDP = new CrCierrehipotecaDDP();
		  
		  $o_CrCierrehipotecaDDP->setIdSucursal($IdSucursal);
		  $o_CrCierrehipotecaDDP->setNombrecolaborador($a_ResesumenDiario['NombreCompleto']);
		  $o_CrCierrehipotecaDDP->setFecha($fechaHipotecas);
		  $o_CrCierrehipotecaDDP->setMoneda($keyMoneda);
		  $o_CrCierrehipotecaDDP->setIngresototal($a_ResesumenDiario['sumapago']+$a_ResesumenDiario['SumapagosPI']);
		  $o_CrCierrehipotecaDDP->setIngresototalDeposito($a_ResesumenDiario['sumapagoDep']);
		  $o_CrCierrehipotecaDDP->setSalidatotal($a_ResesumenDiario['sumacapital']+$a_ResesumenDiario['sumacapitalPI']);
		  $o_CrCierrehipotecaDDP->setIdcolaborador($key);
		  $o_CrCierrehipotecaDDP->setFecharegistro(date('Y-m-d H:i:s'));
		  $o_CrCierrehipotecaDDP->setUsaurioregistro(myUser::getUser()->getUserId());
		  $TotalSubtotal += round($a_ResesumenDiario['SumapagosPI'],2) + round($a_ResesumenDiario['sumapago'],2) - round($a_ResesumenDiario['sumacapital'],2)- round($a_ResesumenDiario['sumacapitalPI'],2);
		  $Total += $TotalSubtotal;
		  $o_CrCierrehipotecaDDP->setSaldototal($TotalSubtotal);
		  $TotalIngreso += round($a_ResesumenDiario['sumapago'] + $a_ResesumenDiario['SumapagosPI'],2);
		  $TotalIngresoDeposito += round($a_ResesumenDiario['sumapagoDep'],2);
		  $TotalSalida += round($a_ResesumenDiario['sumacapital']+$a_ResesumenDiario['sumacapitalPI'],2);
	
		  			
		  $o_CrCierrehipotecaDDP->save();
	  	}
	  	$o_CrCierrehipotecaCDP = new CrCierrehipotecaCDP();
	  	$o_CrCierrehipotecaCDP->setIdsucursal($IdSucursal);
	  	$o_CrCierrehipotecaCDP->setMoneda($keyMoneda);
	  	$o_CrCierrehipotecaCDP->setNombresucursal($NombreSucursal);
	  	$o_CrCierrehipotecaCDP->setFecha($fechaHipotecas);
		$o_CrCierrehipotecaCDP->setNombreAdministrador($NombreAdministrador);
	  	$o_CrCierrehipotecaCDP->setObservacion($comentario);
	  	$o_CrCierrehipotecaCDP->setFecharegistro(date('Y-m-d H:i:s'));
		$o_CrCierrehipotecaCDP->setUsuarioregistro(myUser::getUser()->getUserId());
		$o_CrCierrehipotecaCDP->setIdcolaborador(myUser::getUser()->getIdColaborador());
		
		$o_CrCierrehipotecaCDP->setSaldototal($Total);
		$o_CrCierrehipotecaCDP->setIngresototal($TotalIngreso);
		$o_CrCierrehipotecaCDP->setIngresototalDeposito($TotalIngresoDeposito);
	
		$o_CrCierrehipotecaCDP->setSalidatotal($TotalSalida);
	  	$bResult = $o_CrCierrehipotecaCDP->save();
	  	//exit;
  	}
  }

   
  if($bResult){
    ?>
      <script language="JavaScript">
      parent.objMainTab.reqBody('<?=buildUrl('hip/'.$typeSubmit)?>','&block=001&insert=1');
      parent.objMainTab.windowsCloseAll();
      </script>
    <?
  }
}

?>

<script>
validateControls = function(){
  var errOutput               = { error:false, msg:"" };
   
   if(valueTipo.value == ""){
    errOutput.error = true;
    errOutput.msg   += "Debe de seleccionar el tipo.\n";
  }
  return errOutput;
}

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrlComplet('mnt.php/ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}


</script>

<script type="text/javascript" src="<?php echo Constantes::ROOT_DIR_APP?>/web/js/objectForm.js"></script>



<script>
actualizarElementos = function(elmValue, elmDestino,type){
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=name&typeFind='+type+'&nombreElm='+elmDestino+'&value='+elmValue;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}
</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>


<script>
insertOptionDefault = function(){
  
  var table = $('tableContent');
  var countRows = table.rows.length;
  
  var tr = table.rows[countRows-1];
  var td = tr.cells[1];
  var idSelect = td.firstChild.id;
  
  values = [[idSelect,'alm_;_Alumno']];
  
  
  actualizaJSON('', values);
  
}
</script>

<script>
events = function(type){
  oReturn = validateControls();
  if(!oReturn.error){
    switch (type){
      case 'submit':
         $('form1').submit();
      break;
      case 'insert':
        grid.insert();
        insertOptionDefault();
      break;
      case 'delete':
        grid.deletes();
      break;
    }
  }else{
    alert(oReturn.msg);
    return false;
  }
}
</script>

<script>
buscaDetalle = function(e,elm){
  var charCode;
  if (navigator.appName == "Mozilla" || navigator.appName == "Netscape"){
    charCode = e.keyCode;
  }else{
    charCode = event.keyCode;
  }
  if (charCode == 114){
    
    var parentTr      = elm.parentNode.parentNode.id;
    var valueSelect   = $(parentTr + "_td_1_tipo[]").value;
    var url           = "";
    
    if(valueSelect != ""){
      switch (valueSelect){
        case 'doc':
          url = '<?=buildUrlComplet('mnt.php/doc/listFind')?>iframe/contentResultxx/nameElm/'+elm.id+'/value/'+elm.value;
          tit = 'Docente';
        break;
        case 'alm':
          url = '<?=buildUrlComplet('mnt.php/alm/listFind')?>iframe/contentResultxx/nameElm/'+elm.id+'/value/'+elm.value;
          tit = 'Alumno';
        break;
        case 'ext':
          url = '<?=buildUrlComplet('mnt.php/ext/listFind')?>iframe/contentResultxx/nameElm/'+elm.id+'/value/'+elm.value;
          tit = 'Externo';
        break;
      }
      parent.objMainTab.modalDialog(url,{title:'Busqueda de '+ tit,width:600,height:420});
    }else{
      elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;Seleccione el tipo para el ListFind.'); setTimeout('elementLoad.hide()', 1000);
    }
  }
}
</script>

<script>
actionSelect = function(elm){
  
  var parentTr      = elm.parentNode.parentNode.id;
  
  $(parentTr + "_td_2_codigo[]").value = "";
  $(parentTr + "_td_3").innerHTML = "&nbsp;";
  $(parentTr + "_td_4_part[]").value = "";
  
}

actionCod = function(elm){

  elm       = $(elm);
  elm.value = elm.value.trim();
  var elmValue = elm.value;
  
  parentTr = elm.parentNode.parentNode.id;
  
  elmDestino = parentTr + "_td_3";
  
  if(elmValue != ""){
    
    if(!grid.validateByColumn(1, elm, 'INPUT')){
    
      var parentTr      = elm.parentNode.parentNode.id;
      var valueSelect   = $(parentTr + "_td_1_tipo[]").value;
      
      $(elmDestino).innerHTML = "&nbsp;";
      formItem.loadProcess(parentTr + "_td_3");
      actualizarElementos(elmValue, elmDestino, valueSelect);
      
    }else{
      
      elm.value = "";
      elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;El C�digo ya fue Ingresado'); setTimeout('elementLoad.hide()', 1000);
      $(elmDestino).innerHTML = "&nbsp;";
      
    }
    
  }
  
}
</script>
<script type="text/javascript">

  validatePass = function(){
  	 
  	document.getElementById("btnGrabar").value = "Enviando...";
    document.getElementById("btnGrabar").disabled = true;;
    valid.onSubmit = false;
  }
</script>
<img src="/images/common/spacer.gif" width="10">
<form id="form1" name="form1" method="POST" onsubmit="validatePass();">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Balance del D&iacute;a de creditos con cronograma</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Listado</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>    
  <tr>
    <td valign="top">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0">
          		<tr>
    				<td height="0">
    					<table width="100%" border="0" cellpadding="5" cellspacing="0">
    						
    						<tr>
    							<td width="10%"><label class="label">Fecha</label></td>	
    							<td><label class="label1">&nbsp;:&nbsp;<?=$fechaHipotecas?></label></td>	
    						</tr>
    						<tr>
    							<td width="10%"><label class="label">Sucursal</label></td>	
    							<td><label class="label1">&nbsp;:&nbsp;<?=$NombreSucursal?></label></td>	
    						</tr>
    						
    						
    					</table>
    					
          					
          					
	    				<?
							/*
							echo "<pre>";
							print_r($a_ResumenColaboradorT);
							echo "</pre>";
							*/
							reset($a_ResumenColaboradorT);
  							if(is_array($a_ResumenColaboradorT)){
  									?>
										
					    					<?php
		  								
				    						foreach ($a_ResumenColaboradorT as $keyMoneda => $a_ResumenColaborador) {
				    							
				    							?>
				    							<table width="100%" border="1" cellpadding="5" cellspacing="0">
													<tr>
						    							<td width="10%"><label class="aviso">Moneda</label>:<?=$a_moneda[$keyMoneda]?></td>	
						    						</tr>
					    							<tr>
						    							<td width="10%">
															<table width="100%" border="1" cellpadding="5" cellspacing="0">
																	<tr>
										    							<td width="30%"><label class="aviso">Representante</label></td>	
										    							
										    							<td width="60%" align="center" style="font-family:Arial, Helvetica, sans-serif;font-size:13px;color:#000;background-color:#c50000;"><label style="font-family:Arial, Helvetica, sans-serif;font-size:13px;color:#fff;">Entrega de Creditos</label></td>		
				          						<td width="30%" align="center" style="font-family:Arial, Helvetica, sans-serif;font-size:13px;color:#000;background-color:#092c5a;"><label style="font-family:Arial, Helvetica, sans-serif;font-size:13px;color:#fff;">Pago de Creditos</label></td>	
										    							
										    						</tr>
									    					
									    						<?php
								    							foreach ($a_ResumenColaborador as $key => $a_ResesumenDiario) {
																?>
																<tr>
									    							
									    							<td><label class="aviso">&nbsp;:&nbsp;<?=$a_ResesumenDiario['NombreCompleto']?></label></td>	
									    							
									    							<td>
									    								<?php 
								          								$o_CrCreditoPagoFNT = new CrCreditoCronoFN();
																		$a_prestamosxtipo = $o_CrCreditoPagoFNT->listarPrestamos($key,$fechaHipotecas,$a_ResesumenDiario['Moneda']);
																		//print_r($a_prestamosxtipo);
																		?>
									    								<table width="100%" border="1" cellpadding="0" cellspacing="0">
																		      <tr height="23">
																		        <th width="2%" ><label  class="label">Nro</label></th>
																		        <th width="60%" align="left" ><label  class="label">Cliente</label></th>
																		        <th width="16%" align="left" ><label  class="label">Tipo</label></th>
																		        <th width="20%" align="right"><label  class="label">Monto</label></th>
																		       
																		       
																		      </tr>
																		      <? if(count($a_prestamosxtipo)>0){ ?>
																		        <?
																		        $sumaPrestamos = 0; 
																		        $i = 0;
																				foreach ($a_prestamosxtipo as $iKey => $prestamosxtipo){
																		        	$i++;?>
																		        <tr onClick="TR_click(this);">
																		          <td class="chk"><label  class="label"><?=($i)?></label></td>
																		          <td><label  class="label"><? echo $prestamosxtipo['nombrecompleto']?>-<? echo $prestamosxtipo['id']?></label></td>
																		          <td><label  class="label"><? if($prestamosxtipo['tipo'] == "N") echo "PI";elseif($prestamosxtipo['tipo'] == "M") echo "MO";else echo $prestamosxtipo['tipo'];?></label></td>
																		          <td  align="right"><label  class="label"><? echo number_format($prestamosxtipo['montocapital'],2);$sumaPrestamos += $prestamosxtipo['montocapital']?></label></td>
																		         
																		          
																		        </tr>
																		        <? } ?>
																		        <!--<tr onClick="TR_click(this);">
																		          <td colspan="3"></td>
																		          <td align="right"><label  class="label"><? echo number_format($sumaPrestamos,2,'.',',')?></label></td>
																		         
																		          
																		        </tr>-->
																		      <? } ?>
																	    </table>
																												    							
									    							</td>	
									    							
									    							<td>
									    							<?php 
								          								$o_CrCreditoPagoFNT = new CrCreditoPagoFN();
																		$a_pagosxtipo = $o_CrCreditoPagoFNT->listarPagos($key,$fechaHipotecas,$a_ResesumenDiario['Moneda']);
																		?>
																			<table width="100%" border="1" cellpadding="0" cellspacing="0">
																			      <tr height="23">
																			        <th width="10%" ><label  class="label">Nro</label></th>
																			        <th width="40%" align="left" ><label  class="label">F.Pago</label></th>
																			        <th width="10%" align="left" ><label  class="label">Tipo</label></th>
																			        <th width="10%" align="left" ><label  class="label">T.Pago</label></th>
																			        <th width="30%" align="right"><label  class="label">Monto</label></th>
																			       
																			       
																			      </tr>
																			      <? if(count($a_pagosxtipo)>0){ ?>
																			        <? 
																			        $i = 0;
																					foreach ($a_pagosxtipo as $iKey => $pagosxtipo){
																			        	$i++;
																			        	$bgcolor ="";
																				        if($pagosxtipo['tipopago'] == "D"){
																				        	$bgcolor ="#FFCC33";
																				        }elseif($pagosxtipo['banco']){
																				        	$bgcolor ="#CC66FF";
																				        }
																			        	?>
																			        <tr onClick="TR_click(this);" <?echo "bgcolor='".$bgcolor."'" ?>>
																			          <td class="chk"><label  class="label"><?=($i)?></label></td>
																			          <td><label  class="label"><?if(!$pagosxtipo['banco'] && $pagosxtipo['pago'] < 0 ) echo "DESCUENTO";elseif(!$pagosxtipo['banco'])  echo "EFECTIVO";else echo "Banco ".$pagosxtipo['banco'];?></label></td>
																			          <td><label  class="label"><? if($pagosxtipo['tipo'] == "N") echo "PI";elseif($pagosxtipo['tipo'] == "M") echo "MO";else echo $pagosxtipo['tipo'];?></label></td>
																			          <td><label  class="label"><? if($pagosxtipo['tipopago'] == "C") echo "Cuota";elseif($pagosxtipo['tipopago'] == "D") echo "Descuento";elseif($pagosxtipo['tipopago'] == "M") echo "Mora";elseif($pagosxtipo['tipopago'] == "i") echo "Interes";elseif($pagosxtipo['tipopago'] == "c") echo "Cuota";elseif($pagosxtipo['tipopago'] == "ca") echo "Cuo.ant.";elseif($pagosxtipo['tipopago'] == "ia") echo "Int.ant.";else echo $pagosxtipo['tipopago'];?></label></td>
																			          <td align="right"><label  class="label"><? echo number_format($pagosxtipo['pago'],2); $total +=$pagosxtipo['pago']; ?></label></td>
																			          
																			        </tr>
																			        <? } ?>
																			      <? } ?>
																		    </table>

									    							</td>	
									    						</tr>
																<?php		
										    					}
																$Totalsumacapital += $a_ResesumenDiario['sumacapital']+$a_ResesumenDiario['sumacapitalPI'];
																$Totalsumapago += $a_ResesumenDiario['sumapago']+$a_ResesumenDiario['SumapagosPI'];
																$TotalNeto += $a_ResesumenDiario['sumapago'] - $a_ResesumenDiario['sumacapital']-$a_ResesumenDiario['sumacapitalPI'];
								    							?>
								    							
								    							<tr>
									          						<td align="right" colspan="1"><label class="label">&nbsp;Totales:</label></td>		
									          						<td align="right"><label class="label"><b><?=number_format(round($Totalsumacapital,2),2)?></b></label></td>		
									          						<td align="right"><label class="label">Ingreso Neto de Pagos: <b><?=number_format(round($Totalsumapago,2),2)?></b></label></td>		
									          						<!--<td align="right"  style="font-family:Arial, Helvetica, sans-serif;font-size:13px;color:#fff;background-color:#669900;"><label class="label"><b><?=number_format(round($TotalNeto,2),2)?></b></label></td>	-->
									          					</tr>
								    						</table>
								    						
								    					</td>
								    				</tr>
							    				</table>
							    				
	    										<?php
				    						}
	    						
  							}
  							?>
  							<table width="100%">
		    					<tr>
		    						<td align="right"><input type="button" value="Recalcular" onclick="window.location.reload()" class="button"></td>
		    					</tr>
		    				</table>
		    				
		    				<table  class="marco" width="99%">
							  <tr>
							    <td valign="top">Comentario</td>
							    <td valign="top"><textarea name="comentario" cols="100" rows="1"></textarea></td>
							  </tr>
							  <tr>
							    <input type="hidden" name="typeSubmit" id="typeSubmit" value="list_hip">
							    <td valign="top" colspan="2" align="right">
							    <?php
							   
							    if($fechaBalanceAbierto == date('Y-m-d')){
								   	$a_Existe['ok'] = 1;
							    }else{
							    	$o_sucursalBean = new SucursalBean();
							    	$o_sucursalBean->setIdSucursal($IdSucursal);
							    	
							    	$o_SucursalBL = new SucursalBL();
							    	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_sucursalBean);
							    	
							    	foreach ($a_o_sucursal as $key => $o_sucursal){
							    		$fechaInicioOperaciones = $o_sucursal->getfechaInicioBalance();
							    	}
							    	
							    	if($fechaInicioOperaciones == $fechaBalanceAbierto){
							    		$a_Existe = array();
							    	}else{
								    	$o_BalanceGeneralBean = new BalanceGeneralBean();
									    $o_BalanceGeneralBean->setIdSucursal($IdSucursal);
									 
									    $o_BalanceGeneralBean->setFecha((date('Y-m-d',strtotime($fechaBalanceAbierto."-1 days"))));
									    
									    $o_BalanceGeneralDP = new BalanceGeneralDP($o_BalanceGeneralBean);
									    $a_Existe = $o_BalanceGeneralDP->select();
							    	}
							    }
							   ?>
							    	<input type="submit" value="Cierre del D&iacute;a creditos" class="button" name="btnGrabar" id="btnGrabar" ></td>
							   
								
							  </tr>
							</table>
  							
	    				
	 	    						
    				</td>
                </tr>
      </table>
       
            
      
    </td>
  </tr>
</table>

</form>
<script type="text/javascript">
	var valid = new Validation('form1', {immediate : true});
</script>